|  | Home

# QtLocalePropertyManager Class Reference

The QtLocalePropertyManager provides and manages QLocale properties. More...

     #include <QtLocalePropertyManager>

Inherits QtAbstractPropertyManager.

- List of all members, including inherited members

### Public Functions

- QtLocalePropertyManager ( QObject * parent = 0 )
- ~QtLocalePropertyManager ()
- QtEnumPropertyManager * subEnumPropertyManager () const
- QLocale value ( const QtProperty * property ) const

- 3 public functions inherited from QtAbstractPropertyManager
- 29 public functions inherited from QObject

### Public Slots

- void setValue ( QtProperty * property, const QLocale & value )

- 1 public slot inherited from QObject

### Signals

- void valueChanged ( QtProperty * property, const QLocale & value )

- 4 signals inherited from QtAbstractPropertyManager
- 1 signal inherited from QObject

### Additional Inherited Members

- 1 property inherited from QObject
- 1 public type inherited from QObject
- 4 static public members inherited from QObject
- 6 protected functions inherited from QtAbstractPropertyManager
- 7 protected functions inherited from QObject
- 2 protected variables inherited from QObject

## Detailed Description

The QtLocalePropertyManager provides and manages QLocale properties.

A locale property has nested language and country subproperties. The top-level property's value can be retrieved using the value() function, and set using the setValue() slot.

The subproperties are created by QtEnumPropertyManager object. These submanager can be retrieved using the subEnumPropertyManager() function. In order to provide editing widgets for the subproperties in a property browser widget, this manager must be associated with editor factory.

In addition, QtLocalePropertyManager provides the valueChanged() signal which is emitted whenever a property created by this manager changes.

See also QtAbstractPropertyManager and QtEnumPropertyManager.

## Member Function Documentation

### QtLocalePropertyManager::QtLocalePropertyManager ( QObject * parent = 0 )

Creates a manager with the given parent.

### QtLocalePropertyManager::~QtLocalePropertyManager ()

Destroys this manager, and all the properties it has created.

### void QtLocalePropertyManager::setValue ( QtProperty * property, const QLocale & value ) `[slot]`

Sets the value of the given property to value. Nested properties are updated automatically.

See also value() and valueChanged().

### QtEnumPropertyManager * QtLocalePropertyManager::subEnumPropertyManager () const

Returns the manager that creates the nested language and country subproperties.

In order to provide editing widgets for the mentioned subproperties in a property browser widget, this manager must be associated with an editor factory.

See also QtAbstractPropertyBrowser::setFactoryForManager().

### QLocale QtLocalePropertyManager::value ( const QtProperty * property ) const

Returns the given property's value.

If the given property is not managed by this manager, this function returns the default locale.

See also setValue().

### void QtLocalePropertyManager::valueChanged ( QtProperty * property, const QLocale & value ) `[signal]`

This signal is emitted whenever a property created by this manager changes its value, passing a pointer to the property and the new value as parameters.

See also setValue().